import java.awt.*;
import javax.swing.*;

class ImagePanel extends JPanel {
    /**
        * @param imagen        Imágen que se mostrará en el panel
     */    
    private Image imagen = null;

    public ImagePanel() {
        super();
        setPreferredSize(new Dimension(320, 240));
    }

    public void setImage(Image imagen) {
        this.imagen = imagen;
        repaint();
    }

    public void paintComponent(Graphics g) {
        super.paintComponent(g);

        if (imagen != null) {
            g.drawImage(imagen, 3, 3, this);
        }
    }
}